com.typesafe.config

## Interface ConfigLoadingStrategy

All Known Implementing Classes:
  DefaultConfigLoadingStrategy

    public interface ConfigLoadingStrategy

This method allows you to alter default config loading strategy for all the code which calls `ConfigFactory.load(java.lang.String)`. Usually you don't have to implement this interface but it may be required when you fixing a improperly implemented library with unavailable source code. You have to define VM property `config.strategy` to replace default strategy with your own.

### Method Summary

All Methods Instance Methods Abstract Methods
`Config` `parseApplicationConfig(ConfigParseOptions parseOptions)` This method must load and parse application config.

### Method Detail

#### parseApplicationConfig

    parseApplicationConfig(ConfigParseOptions parseOptions)

This method must load and parse application config.

Parameters:
  `parseOptions` - `ConfigParseOptions` to use
Returns:
  loaded config